PUT /api/v3/account/{accountId}/meter/{meterId}/calculatedBill/{versionId}/cost

Manage calculated bill's cost If cost does not exist on the distribution it will be added If one exists it will be saved as the option sent in Since cost is required for the calculated bill distribution to work. One option is always required and cannot be deleted

ManageCalculateBillCostV3 Permissions: Chargebacks (Manage)

Request Headers

Header Value Required Description
ECI-ApiKey string Yes Your API key. See Authentication.
Content-Type application/json Yes All requests must specify JSON content type, including the request body.

Path Parameters

Name Description Type Required
accountId ID of the account to receive calculated bill details integer (int32) Required
meterId ID of the meter to receive calculated bill details integer (int32) Required
versionId ID of the calculated bill distribution version integer (int32) Required

Request Body

CalculatedBillCostRequest
Property Description Type
calendarizedCostCalculation CalendarizedCalculationRequest
CalendarizedCalculationRequest properties
Property Description Type
sum CalendarizedSumRequest
CalendarizedSumRequest properties
Property Description Type
sumMeterIds Meters in this list will have their use or cost added together during the bill calculation Cannot be Empty Required integer[]
copyCostFromMeter CopyMeterRequest
CopyMeterRequest properties
Property Description Type
meterId Meter from which use or cost will be copied Required Topmost (LogicalDevice) integer (int32)
percentage Percentage of use or cost to copy Pass the percentage value For example 50.5% should be 50.5 Required Max scale of 8 number (double)
costCalculation CalculationRequest
CalculationRequest properties
Property Description Type
subtract SubtractRequest
SubtractRequest properties
Property Description Type
subtractMeterGroupIds Distinct meters from these meter groups will have their use or cost subtracted together during the bill calculation System auto groups cannot be used Required (defined) Only one of SubtractMeterIds, SubtractMeterGroupIds can be set integer[]
subtractMeterIds Meters in this list will have their use or cost subtracted during bill calculation Required (defined) Only one of SubtractMeterIds, SubtractMeterGroupIds can be set integer[]
sum SumRequest
SumRequest properties
Property Description Type
sumMeterGroupIds Distinct meters from these meter groups will have their use or cost added together during the bill calculation System auto groups cannot be used Required (defined) Only one of SumMeterIds, SumMeterGroupIds can be set integer[]
sumMeterIds Meters in this list will have their use or cost added together during the bill calculation Required (defined) Only one of SumMeterIds, SumMeterGroupIds can be set integer[]
fixedAmount Use a fixed amount for bill cost Max scale of 2 NULL Valid Required (defined) Only one of UseCurrentMetersRateSchedule, FixedUnitCost, UnitCostMeterId, FixedAmount, CopyCostFromMeter, CostCalculation, CalendarizedCostCalculation can be set number (double)
fixedUnitCost FixedUnitCostRequest
FixedUnitCostRequest properties
Property Description Type
unitCost Fixed unit cost Required Max scale of 8 number (double)
unitId Unit to which unit cost is applied Required integer (int32)
unitCostMeterId MeterId from where to get the unit cost Required (defined) Only one of UseCurrentMetersRateSchedule, FixedUnitCost, UnitCostMeterId, FixedAmount, CopyCostFromMeter, CostCalculation, CalendarizedCostCalculation can be set integer (int32)
useCurrentMetersRateSchedule Apply the meter’s current rate when calculating bill cost “true” is the only valid value for this property One of ‘True’ Case sensitive Required (defined) Only one of UseCurrentMetersRateSchedule, FixedUnitCost, UnitCostMeterId, FixedAmount, CopyCostFromMeter, CostCalculation, CalendarizedCostCalculation can be set boolean
Example Request Body application/json
{  "calendarizedCostCalculation": {    "sum": {      "sumMeterIds": []
    }
  },  "copyCostFromMeter": {    "meterId": 1,    "percentage": 1.0
  },  "costCalculation": {    "subtract": {      "subtractMeterGroupIds": [],      "subtractMeterIds": []
    },    "sum": {      "sumMeterGroupIds": [],      "sumMeterIds": []
    }
  },  "fixedAmount": 1.0,  "fixedUnitCost": {    "unitCost": 1.0,    "unitId": 1
  },  "unitCostMeterId": 1,  "useCurrentMetersRateSchedule": false
}

Responses

200 OK The request succeeded and the response body contains the requested data.

Response Body Parameters

CalculatedBillCostResponse
Property Description Type
calendarizedCostCalculation CalendarizedCalculationResponse
CalendarizedCalculationResponse properties
Property Description Type
calendarizedSum Addition calculation involving meters MeterChild[]
MeterChild properties
Property Description Type
active Indicates whether the Meter is Active boolean
commodity CommodityChild
CommodityChild properties
Property Description Type
commodityCode The commodity code Required (defined) string
commodityIcon Icon
Icon properties
Property Description Type
code The icon code Must be between 0 and 64 characters Required when Color is set string
color The icon color Must be between 0 and 32 characters Required when Code is set string
commodityId The commodity identifier Required (defined) integer (int32)
commodityInfo The commodity info Required (defined) string
isCalculatedMeter Indicates whether the meter is a calculated meter boolean
isEsaCalculatedMeter Indicates whether the meter is an ESA calculated meter boolean
isSplitChildMeter Indicates whether the meter is a child of a split boolean
isSplitParentMeter Indicates whether the meter is a parent of a split boolean
meterCode The meter code string
meterId The meter identifier integer (int32)
meterInfo The meter info string
meterType MeterTypeChild
MeterTypeChild properties
Property Description Type
meterTypeCode string
meterTypeId integer (int32)
meterTypeInfo string
serialNumber The meter’s current serial number string
copyCostFromMeter CopyFromMeterResponse
CopyFromMeterResponse properties
Property Description Type
meter MeterChild
MeterChild properties
Property Description Type
active Indicates whether the Meter is Active boolean
commodity CommodityChild
CommodityChild properties
Property Description Type
commodityCode The commodity code Required (defined) string
commodityIcon Icon
Icon properties
Property Description Type
code The icon code Must be between 0 and 64 characters Required when Color is set string
color The icon color Must be between 0 and 32 characters Required when Code is set string
commodityId The commodity identifier Required (defined) integer (int32)
commodityInfo The commodity info Required (defined) string
isCalculatedMeter Indicates whether the meter is a calculated meter boolean
isEsaCalculatedMeter Indicates whether the meter is an ESA calculated meter boolean
isSplitChildMeter Indicates whether the meter is a child of a split boolean
isSplitParentMeter Indicates whether the meter is a parent of a split boolean
meterCode The meter code string
meterId The meter identifier integer (int32)
meterInfo The meter info string
meterType MeterTypeChild
MeterTypeChild properties
Property Description Type
meterTypeCode string
meterTypeId integer (int32)
meterTypeInfo string
serialNumber The meter’s current serial number string
percentage Percentage of use or cost to copy number (double)
costCalculation CalculationResponse
CalculationResponse properties
Property Description Type
subtract SubtractResponse
SubtractResponse properties
Property Description Type
subtractMeterGroups Distinct meters from these meter groups will have their use or cost subtracted together during the bill calculation MeterGroupChild[]
MeterGroupChild properties
Property Description Type
autoGroup Indicates if this meter group is an autogroup boolean
meterGroupCode The meter group code string
meterGroupId The meter group identifier integer (int32)
meterGroupInfo The meter group info string
userDefinedAutoGroup Indicates if this meter group is an user defined auto group boolean
subtractMeters Meters in this list will have their use or cost subtracted during bill calculation MeterChild[]
MeterChild properties
Property Description Type
active Indicates whether the Meter is Active boolean
commodity CommodityChild
CommodityChild properties
Property Description Type
commodityCode The commodity code Required (defined) string
commodityIcon Icon
Icon properties
Property Description Type
code The icon code Must be between 0 and 64 characters Required when Color is set string
color The icon color Must be between 0 and 32 characters Required when Code is set string
commodityId The commodity identifier Required (defined) integer (int32)
commodityInfo The commodity info Required (defined) string
isCalculatedMeter Indicates whether the meter is a calculated meter boolean
isEsaCalculatedMeter Indicates whether the meter is an ESA calculated meter boolean
isSplitChildMeter Indicates whether the meter is a child of a split boolean
isSplitParentMeter Indicates whether the meter is a parent of a split boolean
meterCode The meter code string
meterId The meter identifier integer (int32)
meterInfo The meter info string
meterType MeterTypeChild
MeterTypeChild properties
Property Description Type
meterTypeCode string
meterTypeId integer (int32)
meterTypeInfo string
serialNumber The meter’s current serial number string
sum SumResponse
SumResponse properties
Property Description Type
sumMeterGroups Distinct meters from these meter groups will have their use or cost added together during the bill calculation MeterGroupChild[]
MeterGroupChild properties
Property Description Type
autoGroup Indicates if this meter group is an autogroup boolean
meterGroupCode The meter group code string
meterGroupId The meter group identifier integer (int32)
meterGroupInfo The meter group info string
userDefinedAutoGroup Indicates if this meter group is an user defined auto group boolean
sumMeters Meters in this list will have their use or cost added together during the bill calculation MeterChild[]
MeterChild properties
Property Description Type
active Indicates whether the Meter is Active boolean
commodity CommodityChild
CommodityChild properties
Property Description Type
commodityCode The commodity code Required (defined) string
commodityIcon Icon
Icon properties
Property Description Type
code The icon code Must be between 0 and 64 characters Required when Color is set string
color The icon color Must be between 0 and 32 characters Required when Code is set string
commodityId The commodity identifier Required (defined) integer (int32)
commodityInfo The commodity info Required (defined) string
isCalculatedMeter Indicates whether the meter is a calculated meter boolean
isEsaCalculatedMeter Indicates whether the meter is an ESA calculated meter boolean
isSplitChildMeter Indicates whether the meter is a child of a split boolean
isSplitParentMeter Indicates whether the meter is a parent of a split boolean
meterCode The meter code string
meterId The meter identifier integer (int32)
meterInfo The meter info string
meterType MeterTypeChild
MeterTypeChild properties
Property Description Type
meterTypeCode string
meterTypeId integer (int32)
meterTypeInfo string
serialNumber The meter’s current serial number string
fixedAmount Use a fixed amount for bill cost number (double)
fixedUnitCost FixedAmountResponse
FixedAmountResponse properties
Property Description Type
amount Fixed amount number (double)
unit UnitChild
UnitChild properties
Property Description Type
unitCode The unit code string
unitId The unit identifier integer (int32)
unitInfo The unit info string
rateSchedule RateChildResponse
RateChildResponse properties
Property Description Type
commodity CommodityChild
CommodityChild properties
Property Description Type
commodityCode The commodity code Required (defined) string
commodityIcon Icon
Icon properties
Property Description Type
code The icon code Must be between 0 and 64 characters Required when Color is set string
color The icon color Must be between 0 and 32 characters Required when Code is set string
commodityId The commodity identifier Required (defined) integer (int32)
commodityInfo The commodity info Required (defined) string
name string
rateId integer (int32)
unitCostFromMeter MeterChild
MeterChild properties
Property Description Type
active Indicates whether the Meter is Active boolean
commodity CommodityChild
CommodityChild properties
Property Description Type
commodityCode The commodity code Required (defined) string
commodityIcon Icon
Icon properties
Property Description Type
code The icon code Must be between 0 and 64 characters Required when Color is set string
color The icon color Must be between 0 and 32 characters Required when Code is set string
commodityId The commodity identifier Required (defined) integer (int32)
commodityInfo The commodity info Required (defined) string
isCalculatedMeter Indicates whether the meter is a calculated meter boolean
isEsaCalculatedMeter Indicates whether the meter is an ESA calculated meter boolean
isSplitChildMeter Indicates whether the meter is a child of a split boolean
isSplitParentMeter Indicates whether the meter is a parent of a split boolean
meterCode The meter code string
meterId The meter identifier integer (int32)
meterInfo The meter info string
meterType MeterTypeChild
MeterTypeChild properties
Property Description Type
meterTypeCode string
meterTypeId integer (int32)
meterTypeInfo string
serialNumber The meter’s current serial number string
Example Response application/json
{  "calendarizedCostCalculation": {    "calendarizedSum": [
      {      "active": false,      "commodity": {},      "isCalculatedMeter": false,      "isEsaCalculatedMeter": false,      "isSplitChildMeter": false,      "isSplitParentMeter": false,      "meterCode": "string",      "meterId": 1,      "meterInfo": "string",      "meterType": {},      "serialNumber": "string"
    }
    ]
  },  "copyCostFromMeter": {    "meter": {      "active": false,      "commodity": {},      "isCalculatedMeter": false,      "isEsaCalculatedMeter": false,      "isSplitChildMeter": false,      "isSplitParentMeter": false,      "meterCode": "string",      "meterId": 1,      "meterInfo": "string",      "meterType": {},      "serialNumber": "string"
    },    "percentage": 1.0
  },  "costCalculation": {    "subtract": {      "subtractMeterGroups": [],      "subtractMeters": []
    },    "sum": {      "sumMeterGroups": [],      "sumMeters": []
    }
  },  "fixedAmount": 1.0,  "fixedUnitCost": {    "amount": 1.0,    "unit": {      "unitCode": "string",      "unitId": 1,      "unitInfo": "string"
    }
  },  "rateSchedule": {    "commodity": {      "commodityCode": "string",      "commodityIcon": {},      "commodityId": 1,      "commodityInfo": "string"
    },    "name": "string",    "rateId": 1
  },  "unitCostFromMeter": {    "active": false,    "commodity": {      "commodityCode": "string",      "commodityIcon": {},      "commodityId": 1,      "commodityInfo": "string"
    },    "isCalculatedMeter": false,    "isEsaCalculatedMeter": false,    "isSplitChildMeter": false,    "isSplitParentMeter": false,    "meterCode": "string",    "meterId": 1,    "meterInfo": "string",    "meterType": {      "meterTypeCode": "string",      "meterTypeId": 1,      "meterTypeInfo": "string"
    },    "serialNumber": "string"
  }
}